<article id="post-<?php the_ID(); ?>" <?php post_class( 'clearfix' ); ?> role="article" itemscope itemtype="//schema.org/BlogPosting">
	<header class="article-header">
				<h1><?php the_title(); ?></h1>
				<?php get_template_part( 'partials/content', 'byline' ); ?>
				</p>							
	</header> <!-- end article header -->
							
	<section class="entry-content clearfix" itemprop="articleBody">
		<?php the_post_thumbnail( 'full' ); ?>
		<?php the_content(); ?>

				<!-- Social media share buttons -->
		 <div class="social-media-shareicon">    
			<ul>
				<li><a class="twitter" href="//twitter.com/home?status=Reading: <?php the_permalink(); ?>" title="<?php _e( 'Share this post on Twitter!','templatic' ); ?>" target="_blank"><i class="step fa fa-twitter"></i> Twitter</a></li> 
				<li><a class="facebook" href="//www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;t=<?php the_title(); ?>" title="<?php _e( 'Share this post on Facebook!','templatic' ); ?>" target="_blank"> <i class="step fa fa-facebook"></i> Facebook</a></li>
				<li><a class="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php the_permalink(); ?>"><i class="fa fa-google-plus"></i> <?php _e( 'Google+','templatic' ); ?></a></li>
				<li><a class="pinit" href="//pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>"  count-layout="none"><i class="fa fa-pinterest"></i> <?php _e( 'Pin It','templatic' ); ?></a></li>
				<li><a class="linkedin" href="//www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>&summary=<?php the_title(); ?>&source=<?php echo home_url(); ?>"  count-layout="none"><i class="fa fa-linkedin"></i> <?php _e( 'LinkedIn','templatic' );?></a></li>
				<li><a class="email" href="mailto:<?php echo (antispambot( get_the_author_meta( 'email' ) )); ?>"><i class="fa fa-envelope"></i> <?php _e( 'Email','templatic' ); ?></a></li>
				<!--  <a class="google-plus" target="_blank" href="https://plus.google.com/share?url=<?php //the_permalink(); ?>">Google+</a> // Remove it to enable google plus -->
			</ul>
		</div>
		<!-- Social media share buttons end -->
	</section> <!-- end article section -->
								
	<footer class="article-footer">
			<p class="tags"><?php the_tags( '<span class="tags-title">' . __( 'Tags:', 'templatic' ) . '</span> ', ', ', '' ); ?></p>
	</footer> <!-- end article footer -->

		 <div class="author_cont clearfix">
	<div class="author_photo">
	<?php
		$description = get_user_meta( $post->post_author,'description',true );
		 $user_info = get_userdata( $post->post_author );
	?>
	   <article id="post-author">
			<div class="profile-image">
				<?php echo get_avatar( $post->post_author );  ?>
			</div>
			<div class="profile-content">
				<h5><a href="<?php echo get_author_posts_url( $user_info->ID, $user_info->user_nicename ); ?>" class="author_name"><strong><?php echo $user_info->display_name; ?></strong></a></h5>
				<p> <?php echo $description; ?></p>
				
			</div>
		</article>
	</div>	
	</div>	
</article>
