<?php
/* Search page template */
get_header(); ?>
			
<div id="content">

	<div id="inner-content" class="row clearfix">
	<div class="content-box clearfix">
		<div id="main" class="large-9 medium-12 columns first clearfix" role="main">
			<h1 class="archive-title"><span><?php _e( 'Search Results for:', 'templatic' ); ?></span> <?php echo esc_attr( get_search_query() ); ?></h1>

			
			<?php
					/* check if its search in posts */
				$args = array(
			'post_type' => 'post',
						's' => sanitize_text_field( $_REQUEST['s'] ),
					);
				$my_query = new WP_Query( $args );
				if ( $my_query->have_posts() ) :
					global $post;
					/* Vide HTML */
					if ( $post->post_type == 'post' ) {	 /* POST HTML */
						while ( (have_posts()) ) : the_post();
							?>
				
							<article id="post-<?php the_ID(); ?>" <?php post_class( 'clearfix' ); ?> role="article" itemscope itemtype="//schema.org/BlogPosting">
					
						<header class="article-header"> 
							<h1 class="entry-title single-title" itemprop="headline"><a href="<?php echo esc_url( get_permalink( $post->ID ) ); ?>"><?php the_title(); ?></a><span class="comment-show-callout"><?php $comments_count = wp_count_comments( $post->ID ); ?><a href="<?php echo get_permalink( $post->ID ); ?>#comments" rel="bookmark" title="<?php the_title(); ?>"> <?php echo $comments_count->approved;?></a></span></h1>
							<?php get_template_part( 'partials/content', 'byline' ); ?>
						</header> <!-- end article header -->
									
						<section class="entry-content clearfix" itemprop="articleBody">
							<?php the_post_thumbnail( 'full' ); ?>
							<?php echo get_the_excerpt(); ?>
						</section> <!-- end article section -->
										
						<footer class="article-footer">
							<p class="tags"><?php the_tags( '<span class="tags-title">' . __( 'Tags:', 'templatic' ) . '</span> ', ', ', '' ); ?></p>	</footer> <!-- end article footer -->
													
																	
					</article> <!-- end article -->
					<?php
					 endwhile;  } ?>
					<?php
			else : /* show if there is no search results found */  ?>
		
				<article id="post-not-found" class="hentry clearfix">
					<header class="article-header">
						<h3><?php _e( "Sorry, The page you're looking for cannot be found!", 'templatic' ); ?></h3>
					</header>
					<section class="entry-content">
						<p><?php echo sprintf( __( "I can help you find the page you want to see, just help me with a few clicks please. I recommend you either <a href='%1\$s'>go back</a>, go to <a href='%2\$s'>home page</a> or simply search what you want to see below.",'templatic' ),'javascript:history.back();',site_url() ); ?></p>
					</section>
					<footer class="article-footer">
						<p><?php get_search_form(); ?></p>
					</footer>
				</article>
		
			<?php endif; ?>

		</div> <!-- end #main -->
	
		<?php get_sidebar(); ?>
	</div>	
	</div> <!-- end #inner-content -->

</div> <!-- end #content -->

<?php get_footer(); ?>
